--

RotorZ = {};

function RotorZ.prerequisitesPresent(specializations)
    return true;
end;
function RotorZ:load(xmlFile)
    self.rotorsZ = {};
    local i = 0;
    while true do
        local key = string.format("vehicle.rotorsZ.rotorZ(%d)", i);
        if not hasXMLProperty(xmlFile, key) then
             break;
        end;
        local node = Utils.indexToObject(self.components, getXMLString(xmlFile, key.."#index"));
        local speed = Utils.getNoNil(getXMLFloat(xmlFile, key.."#speed"),0.003);
        if node ~= nil then
            table.insert(self.rotorsZ, {node=node,speed=speed});
        end;
        i = i + 1;
    end;
end;

function RotorZ:delete()
end;

function RotorZ:mouseEvent(posX, posY, isDown, isUp, button)
end;

function RotorZ:keyEvent(unicode, sym, modifier, isDown)
end;

function RotorZ:update(dt)
end;

function RotorZ:updateTick(dt)
    if self.isMotorStarted then
        for _,v in pairs(self.rotorsZ) do
            if v.node ~= nil then
                rotate(v.node,0,0,v.speed*dt)
            end;
        end;
	end;
end;

function RotorZ:onLeave()
end;

function RotorZ:draw()
end;
